Subject: Re: bug#16250: Feature request: package license information and home page

From: Stefan Kangas <[email-masked]>
Date: Sun, 14 Jul 2019 18:12:39 +0200

tags 16250 + wontfix
close 16250
thanks

Dave Abrahams <[email-masked]> writes:

> There should be an easy way to find out the
> license information and other metadata about a package before installing
> it.  Ideally this information should show up in the results of
> package-menu-describe-package

Stefan Monnier <[email-masked]> writes:

>>> > Some people (like me) are picky about the license terms of software that
>>> > they download, especially in source form.
>>> Give me some examples of Elisp packages where that would be useful.
>> Any package is a potential example.
>
> 99.9% of Elisp packages are licensed under the GPL.  I doubt these would
> be convincing examples of the need to check the licensing info.
> And the remaining 0.1% is licensed under a GPL-compatible license, BTW
> (because any Elisp package necessarily links to GPL'd code, either
> Emacs's or XEmacs's, so it's basically illegal to distribute Elisp code
> under anything else than a GPL-compatible license).
>
>> If you could explain what you’re after maybe I could say
>> something useful.
>
> An example package where it can be useful to know what license is used.

That was in 2013, and I agree with Stefan that this feature doesn't sound worth
it.  It's all GPL compatible.  FWIW, Debian doesn't show this in aptitude
either.

The homepage is already available in package-menu-describe-package.

I've therefore closed this as wontfix.  If anyone disagrees, feel free
to re-open.

Best regards,
Stefan Kangas